For the complete documentation index, see llms.txt. This page is also available as Markdown.

URL

Scrape any Rakuten page by providing a direct URL.

You can get Rakuten results by providing your own URLs to our service using the rakuten source. The API returns the HTML for any Rakuten page you like.

Please note that currently the rakuten source only supports the com.tw top-level domain.

Request samples

The samples below illustrate how you can get Rakuten pages.

curl 'https://realtime.oxylabs.io/v1/queries' \
--user 'USERNAME:PASSWORD' \
-H 'Content-Type: application/json' \
-d '{
        "source": "rakuten",
        "url": "https://www.rakuten.com.tw/shop/long3269806640/product/prczm32bm/?l-id=tw_search_product_thumbnail_6"
    }'
import requests
from pprint import pprint


# Structure payload.
payload = {
    'source': 'rakuten',
    'url': 'https://www.rakuten.com.tw/shop/long3269806640/product/prczm32bm/?l-id=tw_search_product_thumbnail_6'
}

# Get response.
response = requests.request(
    'POST',
    'https://realtime.oxylabs.io/v1/queries',
    auth=('USERNAME', 'PASSWORD'),
    json=payload
)

# Instead of response with job status and results url, this will return the
# JSON response with the result.
pprint(response.json())

We use synchronous Realtime integration method in our examples. If you would like to use Proxy Endpoint or asynchronous Push-Pull integration, refer to the integration methods section.

Request parameter values

Generic

Parameter
Description
Default Value

source

Sets the scraper.

universal

url

Direct URL (link) to any page.

-

render

Enables JavaScript rendering when set to html. More info.

-

callback_url

URL to your callback endpoint. More info

-

user_agent_type

Device type and browser. The full list can be found here.

desktop

- mandatory parameter

Last updated

Was this helpful?